oracle.adf.view.rich.render

## Enum TransitionTrigger

- java.lang.Object
- - java.lang.Enum<TransitionTrigger>
  - - oracle.adf.view.rich.render.TransitionTrigger

- All Implemented Interfaces:
    Serializable, Comparable<TransitionTrigger>

      @Exported
      public enum TransitionTrigger
      extends Enum<TransitionTrigger>

  The trigger type of a transition.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BACK_NAVIGATE` Used by af:deck when transitioning from a later child to an earlier child (in terms of sibling order).
    `CLOSE` Used by popup component when it is being closed
    `DATA_CHANGE` Used by DVT components when data is changed.
    `DISPLAY` Used by DVT components when a display is toggled.
    `DRILL` Used by DVT components when drilling.
    `FORWARD_NAVIGATE` Used by af:deck when transitioning from an earlier child to a later child (in terms of sibling order).
    `LAYER_CHANGE` Used by DVT components when a layer is changed.
    `MAP_CHANGE` Used by DVT components when a map is changed.
    `OPEN` Used by popup component when it is being opened
    `REPLACE` Used by af:deck when transitioning a component that is being refreshed through partial page refresh(PPR).

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TransitionTrigger` | `getByName(String propertyName)`
    `String` | `getName()`
    `String` | `toString()`
    `static TransitionTrigger` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TransitionTrigger[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BACK_NAVIGATE

          public static final TransitionTrigger BACK_NAVIGATE

      Used by af:deck when transitioning from a later child to an earlier child (in terms of sibling order).

    - #### FORWARD_NAVIGATE

          public static final TransitionTrigger FORWARD_NAVIGATE

      Used by af:deck when transitioning from an earlier child to a later child (in terms of sibling order).

    - #### REPLACE

          public static final TransitionTrigger REPLACE

      Used by af:deck when transitioning a component that is being refreshed through partial page refresh(PPR).

    - #### DATA_CHANGE

          public static final TransitionTrigger DATA_CHANGE

      Used by DVT components when data is changed.

    - #### DISPLAY

          public static final TransitionTrigger DISPLAY

      Used by DVT components when a display is toggled.

    - #### DRILL

          public static final TransitionTrigger DRILL

      Used by DVT components when drilling.

    - #### LAYER_CHANGE

          public static final TransitionTrigger LAYER_CHANGE

      Used by DVT components when a layer is changed.

    - #### MAP_CHANGE

          public static final TransitionTrigger MAP_CHANGE

      Used by DVT components when a map is changed.

    - #### OPEN

          public static final TransitionTrigger OPEN

      Used by popup component when it is being opened

    - #### CLOSE

          public static final TransitionTrigger CLOSE

      Used by popup component when it is being closed

  - ### Method Detail

    - #### values

          public static TransitionTrigger[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TransitionTrigger c : TransitionTrigger.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TransitionTrigger valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<TransitionTrigger>`

    - #### getByName

          public static TransitionTrigger getByName(String propertyName)

Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.